ALACRITTY-MSG(1)

NAME
alacritty-msg - Send messages to Alacritty

SYNOPSIS
alacritty msg [OPTIONS] <MESSAGE> [MESSAGE_OPTIONS]

DESCRIPTION
This command communicates with running Alacritty instances through a socket, making it possible to control Alacritty without directly accessing it.

OPTIONS
-s, --socket <socket> Path for IPC socket creation

MESSAGES
create-window Create a new window in the same Alacritty process

OPTIONS
    --hold
        Remain open after child process exits --working-directory <working-directory> Start the shell in the specified working directory -e, --command <command>... Command and args to execute (must be last argument)

SEE ALSO
See the alacritty github repository at https://github.com/alacritty/alacritty for the full documentation.

BUGS
Found a bug? Please report it at https://github.com/alacritty/alacritty/issues.

MAINTAINERS

    • Christian Duerr <contact@christianduerr.com>